Bug 1286677 - EAP CLI resolve-parameter-values set to true does not recognise vaulted strings
EAP CLI resolve-parameter-values set to true does not recognise vaulted strings
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.4.4
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lin Gao
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 08:32 EST by Tom Fonteyne
Modified: 2016-02-12 03:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 04:37:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFCORE-1274 Major Closed CLI resolve-parameter-values set to true does not recognise vaulted strings 2017-06-26 09:50 EDT

  None (edit)
Description Tom Fonteyne 2015-11-30 08:32:50 EST
When enabling

<resolve-parameter-values>true</resolve-parameter-values> 

in "bin\jboss-cli.xml"

vaulted string will get misinterpreted.

Example, if a command has "${VAULT::tom::tom::1}" then
the parser sees this as  ${name:defaultValue}  with

  name="VAULT"
  defaultValue=":tom::tom::1"

Escaping the $ sign in various ways did not help. The only way is to switch <resolve-parameter-values> back to false.

Ideally, the parser should recognise vaulted string and pass then in unchanged.

It could be argued that this is an RFE instead of a bug. Please let me know if you think so.
Comment 2 JBoss JIRA Server 2016-01-06 22:22:35 EST
Lin Gao <lgao@redhat.com> updated the status of jira WFCORE-1274 to Coding In Progress
Comment 6 JBoss JIRA Server 2016-01-11 00:31:59 EST
Lin Gao <lgao@redhat.com> updated the status of jira WFCORE-1274 to Closed
Comment 7 Lin Gao 2016-01-11 01:00:45 EST
The preceding '$' to escape the expression in CLI was added as a feature when implementing: https://issues.jboss.org/browse/WFCORE-453, PR: https://github.com/wildfly/wildfly-core/pull/413, which introduced many changes beyond the '$' escape function.

And there is a workaround for this by adding a system property:

JAVA_OPTS="$JAVA_OPTS -Dvault.string=$\{VAULT::text::password::1\}"

in jboss-cli.sh, then specify the VAULT string:

/core-service=management/ldap-connection=ldap_connection:add(search-credential="${vault.string}", url="ldaps://myurl:636", search-dn="my=search-dn")

So I propose to nack it for EAP 6.4.x

Note You need to log in before you can comment on or make changes to this bug.